how can I solve the question: could not be resolved. Reason: Missing Constraint: Import-Package: org.apache.thrift; version="[0.9.0,1.0.0)"

asked 2016-03-30 01:00:00 -0700

null gravatar image

Hi,all I am using thrift in odl, when I install my bundle, it shows the following log, what can I do? The libthrift is already in my local maven repository.

java.lang.Exception: Could not start bundle mvn:closfabric.switchmgr/switchmgr-impl/1.0.0 in feature(s) odl-switchmgr-1.0.0: The bundle "closfabric.switchmgr.impl1.0.0 [412]" could not be resolved. Reason: Missing Constraint: Import-Package: org.apache.thrift; version="[0.9.0,1.0.0)" Caused by: org.osgi.framework.BundleException: The bundle "closfabric.switchmgr.impl1.0.0 [412]" could not be resolved. Reason: Missing Constraint: Import-Package: org.apache.thrift; version="[0.9.0,1.0.0)"

edit retag flag offensive close merge delete